summaryrefslogtreecommitdiffstats
path: root/prompt.zsh
diff options
context:
space:
mode:
authorMalfurious <m@lfurio.us>2021-04-25 13:48:45 -0400
committerMalfurious <m@lfurio.us>2021-04-25 13:48:45 -0400
commit1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26 (patch)
treec41dffd9087a2002facca54ba201b5840c4c9f16 /prompt.zsh
parent46b53e3251aa488dd43d90c6e8457437a0c08b34 (diff)
downloadgit-sonar-1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26.tar.gz
git-sonar-1d08fc5e10c8ceef1f80f7b0c95e16a73b0b2e26.zip
Apply several suggestions from shellcheck
Signed-off-by: Malfurious <m@lfurio.us>
Diffstat (limited to 'prompt.zsh')
-rwxr-xr-xprompt.zsh5
1 files changed, 2 insertions, 3 deletions
diff --git a/prompt.zsh b/prompt.zsh
index 0604e75..9c812ac 100755
--- a/prompt.zsh
+++ b/prompt.zsh
@@ -1,7 +1,6 @@
-#! /usr/bin/env zsh
+#!/usr/bin/env zsh
-dot="$(cd "$(dirname "$0")"; pwd)"
-args=$@
+dot="$(cd "$(dirname "$0")" || exit; pwd)"
source "$dot/sonar-base.sh"
if is_repo; then